<p align="center">
    <a href="https://sylius.com" target="_blank">
        <img src="https://demo.sylius.com/assets/shop/img/logo.png" />
    </a>
</p>

<p align="center">
    <a href="https://sylius.com" target="_blank">
        <img src="https://www.dedi-agency.com/wp-content/uploads/2014/05/Dedi_logo_HD.png" />
    </a>
</p>

<h1 align="center">Dedi Banner Plugin</h1>

<p align="center">Translation plugin for Sylius. Based on [Lexik Translation Bundle](https://github.com/lexik/LexikTranslationBundle) </p>


### Require the plugin with composer :

```bash
composer require dedi/sylius-blog-plugin
```

### Import configuration :
```yaml
# config/packages/dedi_sylius_blog_plugin.yaml
imports:
  - { resource: "@DediSyliusBlogPlugin/Resources/config/config.yaml" }

services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false
    
  Dedi\SyliusBlogPlugin\Controller\BlogController:
    tags: [ 'controller.service_arguments' ]

```

### Import state_machine :
```yaml
# config/packages/state_machine.yaml
    # ...
imports:
  - { resource: "@DediSyliusBlogPlugin/Resources/config/state_machine.yaml" }
  
    # ...
```


### Import routing :
```yaml
# config/routes/dedi_sylius_blog_plugin.yaml
    # ...
dedi_blog_admin:
  resource: "@DediSyliusBlogPlugin/Resources/config/admin_routes.yaml"
  prefix: /admin

dedi_blog:
  resource: "@DediSyliusBlogPlugin/Resources/config/blog_routes.yaml"
  prefix: /{_locale}
      
    # ...
```

### Add plugin class to your bundles.php :
```php
<?php
$bundles = [
    Dedi\SyliusBlogPlugin\DediSyliusBlogPlugin::class => ['all' => true],
];
```

### Update your database :

```bash
$ bin/console doctrine:migrations:diff
$ bin/console doctrine:migrations:migrate
```


### Clear cache :
```bash
$ bin/console cache:clear
```

# Contribute

## Documentation

For a comprehensive guide on Sylius Plugins development please go to Sylius documentation,
there you will find the <a href="https://docs.sylius.com/en/latest/plugin-development-guide/index.html">Plugin Development Guide</a>, that is full of examples.

## Quickstart Installation

```bash
$ make start
$ make db-create
$ make db-update
$ make fixtures
$ make assets
$ make build
```

